تاریخ شمسی برای دارت و فلاتر

تبدیل تاریخ میلادی به شمسی به وسیله این کتابخانه قادر هستید که تاریخ های میلادی را به شمسی و بلعکس تبدیل کنید
در بروز رسانی های بعدی مواردی بیشتری به کتاب خانه اضافه خواهند شد 
## استفاده از کتاب خانه 

چند مثال ساده

```dart
import 'package:PersianDate/PersianDate.dart';

main() {
  PersianDate date = PersianDate.pDate();
  
   // برای برگرداندن تاریخ جاری به صورت شمسی
  print("${date.now("yyyy-m-dd h:n:ss")}");
  print("${date.now()}"); // استفاده از فرمت پیش فرض
  // فرمت تاریخ را میتوانید با توجه به نیاز خود تغییر دهید فقط توجه کنید که حتما مواردی که نیاز دارید جزو ثابت های اصلی باشند
 
 
 // برگرداندن یک تاریخ خاص از سال میلادی
    var Gdate = new DateTime(1989,08,21);
    print("${date.parse(Gdate.toString(),"/")}"); // اگر جدا کننده قرار داده نشود به صورت یک لیست بر میگرداند
    print("${date.parse(Gdate.toString())}"); // 
  
  // با فرمت دلخواه
  print("${date.parseToFormat(Gdate.toString())}");
  print("${date.parseToFormat(Gdate.toString(),"yyyy-m-dd h:n:ss")}");
  
     // تبدیل تاریخ شمسی به میلادی اگر جدا کننده نداشته باشه به صورت یک لیست بر میگرداند
print(date.jalali_to_gregorian(1397, 09, 12));

  // مواردی که میتوانید با فراخوانی دریافت کنید.
  print(date.isHoliday); // روز تعطیل است یا خیر
  print(date.weekdayname); // نام روز
  print(date.monthname); // نام ماه
    print(date.year); // سال 
    print(date.month); // ماه
    print(date.day); // روز
    print(date.hour);// ساعت
    print(date.minute);// دقیقه
    print(date.second);// ثانیه
    print(date.millisecond); // میلی ثانیه
    print(date.microsecond);// میکرو ثانیه
    
  
  }
```

کلید فرمت های که میتوانید استفاده کنید

yyyy // 4 عدد سال

yy // 2 عدد سال

mm // 2 عدد ماه اگر ماه تک رقمی باشد 0 در اول ان قرار میدهد

m // 1 عدد ماه اگر ماه تک رقمی باشد 0 قرار نمیدهد

MM // ماه به صورت حروفی کامل

M // ماه به صورت حروفی کوتاه

dd // روز به صورت 2 عددی

d // روز به صورت تک رقمی برای روز های زیر 10

w // عدد هفته از ماه را بر میگرداند

DD // نام روز

D // نام روز

hh // ساعت با دو رقم اگر ساعت تک رقمی باشد 0 ابتدای عدد قرار میدهد فرمت 12 ساعته

h // ساعت با تک رقم فرمت 12 ساعته 

HH // ساعت با 2 رقم فرمت 24 ساعته 

H // ساعت با تک رقم فرمت 24 ساعته

nn // نمایشه دقیقه به صورت دو رقمی

n // نمایشه دقیقه به صورت تک رقمی

ss // نمایش ثانیه دو رقمی

s  // نمایش ثانیه تک رقمی

SSS // نمایش میلی ثانیه

S // نمایش میلی ثانیه

uuu // نمایش میکرو ثانیه

u // نمایش میکرو ثانیه

am // نمایش وقت به صورت کوتاه 

AM // نمایش وقت به صورت کامل


## گزارش اشکال

در صورت وجود هر گونه مشکل از طریق ایمیل زیر با ما در میان بگذارید[j.zobeidi89@gmail.com][tracker].

[tracker]: mailto:j.zobeidi89@gmail.com
